Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597333 - CDTRDSR missing from <asm/termios.h>
CDTRDSR missing from <asm/termios.h>
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390 Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 12:58 EDT by Richard Henderson
Modified: 2011-05-23 16:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.32-94.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 16:22:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL6 fix for this issue (910 bytes, patch)
2010-12-13 13:20 EST, Prarit Bhargava
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 07:58:07 EDT

  None (edit)
Description Richard Henderson 2010-05-28 12:58:34 EDT
Description of problem:

In file included from /home/test/qemu/qemu/linux-user/syscall.c:77:
/usr/include/linux/termios.h:23:2: warning: #warning This architecture should implement CDTRDSR

Version-Release number of selected component (if applicable):

kernel-headers-2.6.32-30.el6.s390x
Comment 3 RHEL Product and Program Management 2010-06-07 12:02:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2010-07-15 10:24:32 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Prarit Bhargava 2010-12-13 13:20:03 EST
Created attachment 468445 [details]
RHEL6 fix for this issue
Comment 7 RHEL Product and Program Management 2010-12-13 13:20:23 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 8 Aristeu Rozanski 2011-01-07 07:41:07 EST
Patch(es) available on kernel-2.6.32-94.el6
Comment 12 Mike Gahagan 2011-02-21 13:01:48 EST
confirmed this is addressed in -117, we set CDTRDSR to 0 if undefined.
Comment 13 errata-xmlrpc 2011-05-23 16:22:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.